Index: src/Actions/ParserAction/ParseTremoloPotentialsAction.def
===================================================================
--- src/Actions/ParserAction/ParseTremoloPotentialsAction.def	(revision e2ff7e580cddf84949a9e22e9b4811a1aa7d9cc7)
+++ src/Actions/ParserAction/ParseTremoloPotentialsAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #include <boost/filesystem.hpp>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
+#define paramvalids (DummyValidator< boost::filesystem::path >())
 #define paramtokens ("parse-tremolo-potentials")
 #define paramdescriptions ("path to tremolo's potentials file")
Index: src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.def
===================================================================
--- src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.def	(revision e2ff7e580cddf84949a9e22e9b4811a1aa7d9cc7)
+++ src/Actions/ParserAction/SaveSelectedAtomsAsExtTypesAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #include <boost/filesystem.hpp>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (unsigned int)(boost::filesystem::path)
+#define paramvalids (DummyValidator< unsigned int >())(DummyValidator< boost::filesystem::path >())
 #define paramtokens ("save-selected-atoms-as-exttypes")("filename")
 #define paramdescriptions ("Type id for this selection of atoms")("path to tremolo's exttypes file")
Index: src/Actions/ParserAction/SetOutputFormatsAction.def
===================================================================
--- src/Actions/ParserAction/SetOutputFormatsAction.def	(revision e2ff7e580cddf84949a9e22e9b4811a1aa7d9cc7)
+++ src/Actions/ParserAction/SetOutputFormatsAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #include <vector>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::vector<std::string>)
+#define paramvalids (DummyValidator< std::vector<std::string> >())
 #define paramtokens ("set-output")
 #define paramdescriptions ("specify output formats")
Index: src/Actions/ParserAction/SetParserParametersAction.def
===================================================================
--- src/Actions/ParserAction/SetParserParametersAction.def	(revision e2ff7e580cddf84949a9e22e9b4811a1aa7d9cc7)
+++ src/Actions/ParserAction/SetParserParametersAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)(std::string)
+#define paramvalids (DummyValidator< std::string >())(DummyValidator< std::string >())
 #define paramtokens ("set-parser-parameters")("parser-parameters")
 #define paramdescriptions ("name of the parser to change")("parameter (key = value;)")
Index: src/Actions/ParserAction/SetTremoloAtomdataAction.def
===================================================================
--- src/Actions/ParserAction/SetTremoloAtomdataAction.def	(revision e2ff7e580cddf84949a9e22e9b4811a1aa7d9cc7)
+++ src/Actions/ParserAction/SetTremoloAtomdataAction.def	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -9,8 +9,11 @@
 #include <boost/filesystem.hpp>
 
+#include "Parameters/Validators/DummyValidator.hpp"
+
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
 // "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
+#define paramvalids (DummyValidator< std::string >())
 #define paramtokens ("set-tremolo-atomdata")
 #define paramdescriptions ("properties to set, space-separated")
